package com.ruoyi.powerdistribution.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.powerdistribution.mapper.PdmParMapper;
import com.ruoyi.powerdistribution.domain.PdmPar;
import com.ruoyi.powerdistribution.service.IPdmParService;

/**
 * 配网参数配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-12-04
 */
@Service
public class PdmParServiceImpl implements IPdmParService 
{
    @Autowired
    private PdmParMapper pdmParMapper;

    /**
     * 查询配网参数配置
     * 
     * @param id 配网参数配置主键
     * @return 配网参数配置
     */
    @Override
    public PdmPar selectPdmParById(Long id)
    {
        return pdmParMapper.selectPdmParById(id);
    }

    /**
     * 查询配网参数配置列表
     * 
     * @param pdmPar 配网参数配置
     * @return 配网参数配置
     */
    @Override
    public List<PdmPar> selectPdmParList(PdmPar pdmPar)
    {
        return pdmParMapper.selectPdmParList(pdmPar);
    }

    /**
     * 新增配网参数配置
     * 
     * @param pdmPar 配网参数配置
     * @return 结果
     */
    @Override
    public int insertPdmPar(PdmPar pdmPar)
    {
        pdmPar.setCreateTime(DateUtils.getNowDate());
        return pdmParMapper.insertPdmPar(pdmPar);
    }

    /**
     * 修改配网参数配置
     * 
     * @param pdmPar 配网参数配置
     * @return 结果
     */
    @Override
    public int updatePdmPar(PdmPar pdmPar)
    {
        pdmPar.setUpdateTime(DateUtils.getNowDate());
        return pdmParMapper.updatePdmPar(pdmPar);
    }

    /**
     * 批量删除配网参数配置
     * 
     * @param ids 需要删除的配网参数配置主键
     * @return 结果
     */
    @Override
    public int deletePdmParByIds(Long[] ids)
    {
        return pdmParMapper.deletePdmParByIds(ids);
    }

    /**
     * 删除配网参数配置信息
     * 
     * @param id 配网参数配置主键
     * @return 结果
     */
    @Override
    public int deletePdmParById(Long id)
    {
        return pdmParMapper.deletePdmParById(id);
    }
}
